Package org.eclipse.m2m.atl.adt.ui.preferences

## Class AtlCodeFormatterProfileManager

- java.lang.Object
- - java.util.Observable
  - - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager
    - - org.eclipse.m2m.atl.adt.ui.preferences.AtlCodeFormatterProfileManager

    public class AtlCodeFormatterProfileManager
    extends ProfileManager

The ATL formatter profiles manager.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager

`ProfileManager.BuiltInProfile, ProfileManager.CustomProfile, ProfileManager.KeySet, ProfileManager.Profile, ProfileManager.SharedProfile`

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PROFILE_STRING`

### Fields inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager

`ID_PREFIX, PROFILE_CREATED_EVENT, PROFILE_DELETED_EVENT, PROFILE_RENAMED_EVENT, SELECTION_CHANGED_EVENT, SETTINGS_CHANGED_EVENT`

### Constructor Summary

Constructors
`AtlCodeFormatterProfileManager​(java.util.List<ProfileManager.Profile> profiles, org.eclipse.core.runtime.preferences.IScopeContext context, PreferencesAccess preferencesAccess, ProfileManager.KeySet[] keySets, java.lang.String profileKey)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AtlCodeFormatterProfileManager` `getCurrentProfileManager​(org.eclipse.core.runtime.preferences.IScopeContext currentContext, PreferencesAccess access, ProfileStore store)`
`ProfileManager.Profile` `getDefaultProfile()`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager

`addProfile, clearAllSettings, commitChanges, containsName, deleteProfile, deleteSelected, getProfile, getSelected, getSelectedProfileId, getSortedDisplayNames, getSortedProfiles, hasProjectSpecificSettings, hasProjectSpecificSettings, notifyObservers, profileChanged, profileRenamed, profileReplaced, setSelected, updateProfilesWithName`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PROFILE_STRING

    public static final java.lang.String DEFAULT_PROFILE_STRING

### Constructor Detail

#### AtlCodeFormatterProfileManager

    public AtlCodeFormatterProfileManager​(java.util.List<ProfileManager.Profile> profiles,
                                          org.eclipse.core.runtime.preferences.IScopeContext context,
                                          PreferencesAccess preferencesAccess,
                                          ProfileManager.KeySet[] keySets,
                                          java.lang.String profileKey)

### Method Detail

#### getCurrentProfileManager

    public static AtlCodeFormatterProfileManager getCurrentProfileManager​(org.eclipse.core.runtime.preferences.IScopeContext currentContext,
                                                                          PreferencesAccess access,
                                                                          ProfileStore store)

#### getDefaultProfile

    public ProfileManager.Profile getDefaultProfile()

Specified by:
  `getDefaultProfile` in class `ProfileManager`
See Also:
  `ProfileManager.getDefaultProfile()`